name: CodyOps Core Builder
on:
  pull_request:
    branches:
      - main

jobs:
  build-conteiner:
    runs-on: fedora-latest
    env:
      ASTRO_DIRECTUS_API: ${{ secrets.ASTRO_DIRECTUS_API }}
      ASTRO_DIRECTUS_TOKEN: ${{ secrets.ASTRO_DIRECTUS_TOKEN }}
      ASTRO_ASSETS: ${{ vars.ASTRO_ASSETS }}
      ASTRO_CURRENCY_AR: ${{ vars.ASTRO_CURRENCY_AR }}
      ASTRO_SITE_AR: ${{ vars.ASTRO_SITE_AR }}
      ASTRO_GTM_AR: ${{ vars.ASTRO_GTM_AR }}
      ASTRO_CURRENCY_BR: ${{ vars.ASTRO_CURRENCY_BR }}
      ASTRO_SITE_BR: ${{ vars.ASTRO_SITE_BR }}
      ASTRO_GTM_BR: ${{ vars.ASTRO_GTM_BR }}      
    steps:
      - name: Check out repository code
        uses: actions/checkout@v4
      - name: Make Build
        run: make build
      - name: Make Push
        run: make push        